# This example sets up the following network:
#
#  -------                     -------                     -------
# | Node0 |   -------------   | Node1 |   -------------   | Node2 |
# |B     A|<>| Connection0 |<>|B     A|<>| Connection1 |<>|B     A|
# |       |   -------------   |       |   -------------   |       |
#  -------                     -------                     -------

# A descriptive name which is passed on to the Network object
network: special_keywords_example

node: &node
  type: node
  properties:
    port_names:
      - A
      - B

# Note that connections by default have ports A and B
fibre: &fibre
  type: classical_fibre_direct_connection

  properties:
    length:
      RANGE:
        START: 0.002
        STOP: 0.006
        NUM: 3
        SYNC: values
    p_loss_init: 0
    p_loss_length: 0

components:

  Node0:
    << : *node

  Node1:
    << : *node

  Node2:
    << : *node

  Connection0:
    << : *fibre

    connect_to:
      INCLUDE: !include example_special_keywords_params.yaml
      label: connection1

  Connection1:
    << : *fibre
    UPDATE:
      properties:
        p_loss_init:
            LIST: [0, 0.2]

    connect_to:
      INCLUDE: !include example_special_keywords_params.yaml
      label: connection2
      node1: Node1
      node2: Node2
